#
# spec file for package etherpad-lite
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           slowmoVideo
Version:        0.3
Release:        1.3
Summary:        slowmoVideo is an OpenSource program that creates slow-motion videos from your footage
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            https://github.com/slowmoVideo/slowmoVideo
Source:         %{name}-sources-v%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  unzip
BuildRequires:  libffmpeg-devel
BuildRequires:  libqt4-devel
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  glew-devel
BuildRequires:  freeglut-devel
BuildRequires:  libSDL-devel
BuildRequires:  opencv-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
slowmoVideo is an OpenSource program that creates slow-motion videos from your footage.

But it does not simply make your videos play at 0.01× speed. You can smoothly slow down and speed up your footage, optionally with motion blur.

How does slow motion work? slowmoVideo tries to find out where pixels move in the video (this information is called Optical Flow), and then uses this information to calculate the additional frames between the ones recorded by your camera.

%prep
%setup -q -c %{name}-%{version}

%build
mkdir build 
cd build
cmake \
	-DCMAKE_INSTALL_PREFIX:STRING=%{_prefix} \
	-DCMAKE_BUILD_TYPE:STRING=Release \
	-DENABLE_TESTS:BOOL=false \
    ../src
make %{?_smp_mflags}

%install
cd build
make install DESTDIR=%{buildroot}
#install -d %{buildroot}%{_var}/lib/%{name}
%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/slowmoFlowBuilder
%{_bindir}/slowmoFlowEdit
%{_bindir}/slowmoInfo
%{_bindir}/slowmoInterpolate
%{_bindir}/slowmoRenderer
%{_bindir}/slowmoUI
%{_bindir}/slowmoVideoInfo
%{_bindir}/slowmoVisualizeFlow

%changelog
* Mon May 26 2014 guillaume@opensuse.org
- Initial version 0.3
